Bug 225514 - devel/py-jsonschema: Enable concurrent installs
Summary: devel/py-jsonschema: Enable concurrent installs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks: 225515
  Show dependency treegraph
 
Reported: 2018-01-29 00:24 UTC by John W. O'Brien
Modified: 2018-02-20 09:29 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (bofh)


Attachments
devel/py-jsonschema: Enable concurrent installs (612 bytes, text/plain)
2018-01-29 00:24 UTC, John W. O'Brien
koobs: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2018-01-29 00:24:14 UTC
Created attachment 190140 [details]
devel/py-jsonschema: Enable concurrent installs

devel/py-jsonschema installs the following CLI scripts to ${PREFIX}/bin.

    jsonschema

The attached patch enables "concurrent" and bumps PORTREVISION due to the new,
version-qualified script installed under the default build.

QA
==

portlint: OK
poudriere: OK -- testport on 10.4-RELEASE-p3 on amd64 w/py27 (default), py34, py35, py36
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-02-12 04:52:30 UTC
Comment on attachment 190140 [details]
devel/py-jsonschema: Enable concurrent installs

Approved by: portmgr, python (infrastructure, ports compliance)
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-02-12 04:53:57 UTC
I will commit this along with bug 225516, bug 225515, bug 225517 and bug 225493 (all logically related)
Comment 3 commit-hook freebsd_committer 2018-02-20 09:21:07 UTC
A commit references this bug:

Author: koobs
Date: Tue Feb 20 09:20:31 UTC 2018
New revision: 462380
URL: https://svnweb.freebsd.org/changeset/ports/462380

Log:
  devel/py-jsonschema: Enable concurrent installation

  PR:		225514
  Submitted by:	John W. O'Brien <john saltant com>
  Approved by:	portmgr, python (infrastructure, ports compliance)

Changes:
  head/devel/py-jsonschema/Makefile
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2018-02-20 09:29:52 UTC
Committed, thank you John